package main

import (
	"Study/src/study/day8Method/common"
	"fmt"
)

func main() {
	var i myInt = 1
	i.MethodStart()
	a := common.Point{X: 233, Y: 233}
	b := common.Point{X: 3, Y: 3}

	// 传统函数也能够轻松实现此功能
	fmt.Println(common.Distance(a, b))
	// 但是使用 方法就无疑轻松很多了
	fmt.Println(a.Distance(b))

	perim := common.Path{
		{1, 1},
		{5, 1},
		{5, 4},
		{1, 1},
	}
	fmt.Println(perim.Distance()) // "12"

}
